Get a payment order

Returns a single payment order, including its current lifecycle status and the inbound transfers observed against its funding wallet. Returns 404 if the order does not exist and 403 if your account does not have visibility into it.

Path Parameters
  • paymentOrderId
    Type: string Format: uuid
    required
Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/api/v1/payment-orders/{paymentOrderId}
curl https://api.bettermoney.com/api/v1/payment-orders/123e4567-e89b-12d3-a456-426614174000
{
  "id": "string",
  "rulesetId": "123e4567-e89b-12d3-a456-426614174000",
  "mode": "standard",
  "senderAccountId": "123e4567-e89b-12d3-a456-426614174000",
  "fromUserId": null,
  "status": "AWAITING_FUNDS",
  "version": -9007199254740991,
  "asset": "string",
  "toChain": "string",
  "toAddress": "string",
  "amountUsd": 1,
  "memo": null,
  "idempotencyKey": "string",
  "payoutDestinationId": "123e4567-e89b-12d3-a456-426614174000",
  "instantFeeBps": 0,
  "quoteId": "string",
  "quoteFeeBps": 0,
  "estimatedSettlementAt": "2026-09-08T20:57:50.192Z",
  "createdAt": "2026-09-08T20:57:50.192Z",
  "expiresAt": "2026-09-08T20:57:50.192Z",
  "receivedTotal": 0,
  "inboundTransfers": [
    {
      "sender": "string",
      "amountUsd": 0,
      "chain": "string",
      "asset": "string",
      "transactionHash": "string",
      "observedAt": "2026-09-08T20:57:50.192Z",
      "status": "PENDING_VERIFICATION",
      "version": -9007199254740991,
      "refundReference": "string",
      "refundTransactionHash": "string"
    }
  ],
  "canceledAt": "2026-09-08T20:57:50.192Z",
  "cancelReason": "string",
  "cancelRequestedAt": "2026-09-08T20:57:50.192Z",
  "refundReason": "string",
  "refundedAt": "2026-09-08T20:57:50.192Z",
  "refundTransactionHash": "string",
  "distributionReference": "string",
  "settlementReference": "string",
  "distributionTransactionHash": "string",
  "distributionExecutedAt": "2026-09-08T20:57:50.192Z",
  "settledAt": "2026-09-08T20:57:50.192Z"
}